Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class UploadContext

    java.lang.Object
      org.jboss.portal.wsrp.core.UploadContext

All Implemented Interfaces:
  java.io.Serializable

    public class UploadContext

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected NamedString[]` | `mimeAttributes`
`protected java.lang.String` | `mimeType`
`protected byte[]` | `uploadData`

Constructor Summary
`UploadContext()`
`UploadContext(java.lang.String mimeType, byte[] uploadData, NamedString[] mimeAttributes, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`NamedString[]` | `getMimeAttributes()`
`java.lang.String` | `getMimeType()`
`byte[]` | `getUploadData()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setMimeAttributes(NamedString[] mimeAttributes)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setUploadData(byte[] uploadData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mimeType

    protected java.lang.String mimeType

### uploadData

    protected byte[] uploadData

### mimeAttributes

    protected NamedString[] mimeAttributes

### extensions

    protected Extension[] extensions

Constructor Detail

### UploadContext

    public UploadContext()

### UploadContext

    public UploadContext(java.lang.String mimeType,
                         byte[] uploadData,
                         NamedString[] mimeAttributes,
                         Extension[] extensions)

Method Detail

### getMimeType

    public java.lang.String getMimeType()

### setMimeType

    public void setMimeType(java.lang.String mimeType)

### getUploadData

    public byte[] getUploadData()

### setUploadData

    public void setUploadData(byte[] uploadData)

### getMimeAttributes

    public NamedString[] getMimeAttributes()

### setMimeAttributes

    public void setMimeAttributes(NamedString[] mimeAttributes)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD